<template>
    <div class="">
        <h1>{{$t("message.profile_view")}}</h1>
        <div class="row"><div class='col-lg-3'>{{$t('message.second_name')}}:</div><div class='col-lg-3'>{{ this.user.profile.second_name }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.first_name')}}:</div><div class='col-lg-3'>{{ this.user.user.name }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.last_name')}}:</div><div class='col-lg-3'>{{ this.user.profile.middle_name }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.phone')}}:</div><div class='col-lg-3'>{{ this.user.profile.phone }}</div></div>
        <div class="row"><div class='col-lg-3'>Email:</div><div class='col-lg-3'>{{ this.user.user.email }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.gender')}}:</div><div class='col-lg-3'>{{ this.user.profile.gender }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.birth_date')}}:</div><div class='col-lg-3'>{{ this.user.profile.birth_date }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.sity')}}:</div><div class='col-lg-3'>{{ this.user.profile.sity }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.street')}}:</div><div class='col-lg-3'>{{ this.user.profile.street }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.building')}}:</div><div class='col-lg-3'>{{ this.user.profile.building }}</div></div>
        <div class="row"><div class='col-lg-3'>{{$t('message.flat')}}:</div><div class='col-lg-3'>{{ this.user.profile.flat }}</div></div>
        <div class="row">
            <div class="col-lg-6">
                <router-link to="/profile/update">{{$t('message.update')}}</router-link>
            </div>
            <div class="col-lg-6">
                <router-link to="/profile/update/password">{{$t('message.change_password')}}</router-link>
            </div>
        </div>
    </div>
</template>

<script>
    export default {

        beforeCreate() {
            this.$store.dispatch('set_profile');
        },
        data: () => {
            return {
            }
        },
        methods: {
        },
        computed: {
           user: function () {
               return this.$store.getters.user;
           }
        }
    }
</script>
